Subject: bug#22501: 25.0.50; Build failure byte compiling ns-win.el

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Feb 2016 21:47:22 +0200

> From: Richard Copley <[email-masked]>
> Date: Sun, 31 Jan 2016 21:24:49 +0000
> Cc: [email-masked]
> 
> > Please post the entire transcript of the failed build, starting from
> > the configure script, and please show the configure and make commands
> > you used.
> >
> > Thanks.
> 
> While trying to recreating the transcript I built at -j1, -j2 and -j4
> without any errors. Finally when I tried my usual level -j8, the build
> failed again as before.

That is one reason why I asked for the full transcript.

> Building at -j8 was working ok until a few days ago. To be exact, my
> latest good build was of "6475f9265ecf21a8d49bc3ac0dc66010c9ec6b05"
> (emacs-25 at 2016-01-25 01:29:01).

Parallel builds have their exact timing dependent on many factors,
including those utterly unrelated to the changes in Emacs.  IOW, the
reason for the problem might not be any change in Emacs.

> Transcript attached. There's a lot of repetition so I processed it
> with "uniq -c" which halved the length.

That is actually not such a good idea: it makes the job of comparing
your build with mine harder.  (In this case, it didn't matter,
though.)  If the transcript is too large, it is better to send it as a
compressed attachment.

> Commands:
> 
> '/g/emacs/repo/emacs/configure' --prefix
> /c/emacs/emacs-20160131-201846 --without-imagemagick
> --disable-dependency-tracking
> --enable-locallisppath=%emacs_dir%/../site-lisp
> 
> make -j8 -C '/g/emacs/build-scripts/build'

Thanks.  Does the change below help?

diff --git a/src/Makefile.in b/src/Makefile.in
index fab10ae..5c15792 100644
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -501,6 +501,9 @@ $(srcdir)/macuvs.h $(lispsource)/international/charprop.el: \
 $(lispsource)/international/ucs-normalize.elc: | \
   $(lispsource)/international/charprop.el
 
+$(lispsource)/term/ns-win.elc: | \
+  $(lispsource)/international/charprop.el
+
 lispintdir = ${lispsource}/international
 ${lispintdir}/cp51932.el ${lispintdir}/eucjp-ms.el: FORCE
 	${MAKE} -C ../admin/charsets $(notdir $@)